Skip to navigation

Create Brand Image

Creates a brand image.

Required Fields

  • image_file: Form posts are the only accepted upload option. For more information on how to upload an image see Adding product images. NOTE: Ensure you set the Content-Type header to multipart/form-data; boundary=--example-boundary-- and set the correct URL for this endpoint.

Read-Only Fields

  • id

Only one image at a time can be created. To update a brand image, use the Update a brand endpoint and an image_url.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

brand_idintegerRequired
The ID of the brand to which the resource belongs.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a multipart form containing an optional file.
image_filefileOptional

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error